Bug 77852 - (VM)swap not used, kernel 2.4.18-17.7.x
(VM)swap not used, kernel 2.4.18-17.7.x
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-14 08:22 EST by Hrunting Johnson
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hrunting Johnson 2002-11-14 08:22:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
Compaq 8500, 8 P3 CPU, 4GB RAM, 2GB swap partition

Swap is not being used at all.  Swap is definitely mounted.  Available physical 
memory is used up to the 4GB limit (most of this is in file cache) and when it 
gets near the limit, programs (in this case, perl) begin failing with 'Out of 
memory' errors.  This exactly same suite worked fine with kernel-2.4.9-31.  
This problem only manifests itself when backups are run, which require heavy 
file I/O.  Normally, we'd limit this I/O by throttling the bandwidth on the 
backup interface, but in this kernel, traffic shaping is broken (someone else 
has already filed the bug).

Swap is mounted correctly:
# cat /proc/swaps 
Filename                        Type            Size    Used    Priority
/dev/ida/c0d0p5                 partition       2048136 0       -2

A vmstat from the time in question:
$ vmstat 5
   procs                      memory    swap          io     system         cpu
 r  b  w   swpd   free   buff  cache  si  so    bi    bo   in    cs  us  sy  id
 2  2  1      0  17284 139072 3442356   0   0     0    51   21     2  11   6  83
 0  0  0      0  18672 139484 3416432   0   0  6038  1457 3960  5056  17   8  75
 4  1  2      0  22916 139684 3436432   0   0  9295   377 4311  1983   4   6  90
 5  0  1      0  15680 139820 3445820   0   0  9318  1188 4487  3271  12   6  82
 3  1  1      0  17644 139936 3422672   0   0  9798  1342 4831  5157  19   9  72
 6  1  1      0  15520 140072 3396572   0   0  9330  1367 4702  5310  19  10  71
 6  1  0      0  15504 140564 3382592   0   0  4595  1237 3207  4493  17   8  75
 2  1  0      0  17772 140832 3390268   0   0  5097  1133 3269  4046  12   7  81
 0  1  0      0  15548 141248 3364868   0   0  4622   838 3139  3275  13   8  
79 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Turn on computer
2.Run programs
3.Run backups (Veritas NetBackup in this case)
	

Actual Results:  Running programs begin failing with out of memory errors.

Expected Results:  Swap is used instead of programs failing.

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:40:11 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.